using System;

namespace BLL
{
    //获得更有效最新技术源码看这里：http://www.51aspx.com/
    /// <summary>
    /// Article
    /// </summary>
    public partial class Article
    {
        public Article()
        { }
        #region  BasicMethod
        /// <summary>
        /// 增加一条数据
        /// </summary>
        public static int Add(Model.Article model)
        {
            return DAL.Article.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public static bool Update(Model.Article model)
        {
            return DAL.Article.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public static bool Delete(int Id)
        {
            return DAL.Article.Delete(Id);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public static Model.Article GetModel(int Id)
        {
            return DAL.Article.GetModel(Id);
        }
        #endregion  ExtensionMethod
    }
}
